Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990183 - [RFE] Would like man page on rhsm.conf
Summary: [RFE] Would like man page on rhsm.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 7.1
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel71
TreeView+ depends on / blocked
 
Reported: 2013-07-30 14:22 UTC by J.C. Molet
Modified: 2015-03-05 13:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 13:14:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Man page for rhsm.conf (deleted)
2014-11-07 06:49 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0502 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2015-03-05 16:20:39 UTC

Description J.C. Molet 2013-07-30 14:22:11 UTC
Description of problem:

During the GSS test day it became obvious that the comments in rhsm.conf were only really helpful if you already knew all the concepts of subscription manager and entitlements.  Many users were looking at 'man subscription-manager' or 'subscription-manager config --help' for help with these subman settings.  I don't believe these locations are the best place for the config settings.

I am proposing a manpage for rhsm.conf be written - invoked by running 'man rhsm.conf', to explain what each of the settings are, and what the implications of that are in the greater scheme of entitlements.  It is not unprecedented to have a man page on a conf file - see the man page for yum.conf - and this can only clear up confusion.  We should also have references directing users to this new man page in the subscription-manager man page, in a comment at the top of the rhsm.conf flie, and in the output of subscription-manger config --help.

Comment 2 Bryan Kearney 2014-07-30 19:21:24 UTC
Acking 7.1

Comment 3 Bryan Kearney 2014-09-30 17:35:28 UTC
Please see the content at 

https://github.com/candlepin/subscription-manager/pull/1030/files

Comment 4 Bryan Kearney 2014-10-17 18:37:13 UTC
fixed in commit 3fb95aa44a26f3a2ad6f90c43b048db509ead31d

Comment 6 Shwetha Kallesh 2014-11-07 06:47:52 UTC
Moving to verified!!

[root@localhost ~]# subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: 0.9.26.4-1
subscription management rules: 5.11
subscription-manager: 1.13.7-1.el7
python-rhsm: 1.13.6-1.el7


[root@localhost ~]# man rhsm.conf

See attachment

Comment 7 Shwetha Kallesh 2014-11-07 06:49:03 UTC
Created attachment 954803 [details]
Man page for rhsm.conf

Comment 8 John Sefler 2014-11-07 16:06:50 UTC
There are several typos that should be corrected...

"and and virt-who" => "and virt-who"

"Server perfix where" => "Server prefix where"

"certificates whcih should" => "certificates which should"

"are used communicate with the server and to pulldown content." =>
"are used to communicate with the server and pull down content."

"productCertDirectory" => "productCertDir"

"entitlementCertDirectory" => "entitlementCertDir"

"consumerCertDirectory" => "consumerCertDir"

"susbcription service." => "subcription service."

"report up the current package profile." =>
"report the system's current package profile to the subscription service."

"This reporting helps the subscription service to provide better errata notifications." =>
This report helps the subscription service provide better errata notifications."

Comment 9 Bryan Kearney 2014-11-07 20:59:38 UTC
commit 69e3116fbf5172136285cdae5ba7565c45240505
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Fri Nov 7 14:34:44 2014 -0500

    990183: Fix typos in the new man page

Comment 11 Shwetha Kallesh 2014-11-24 09:59:56 UTC
Failed on_qa

[root@dhcp35-236 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.36-1
subscription management rules: 5.11
subscription-manager: 1.13.9-1.el7
python-rhsm: 1.13.8-1.el7


[root@dhcp35-236 ~]# man rhsm.conf | grep 'and and virt-who'
[root@dhcp35-236 ~]# man rhsm.conf | grep "Server perfix where"
[root@dhcp35-236 ~]# man rhsm.conf | grep "certificates whcih should"
[root@dhcp35-236 ~]# man rhsm.conf | grep "are used communicate with the server and to pulldown content."
[root@dhcp35-236 ~]# man rhsm.conf | grep "productCertDirectory"
[root@dhcp35-236 ~]# man rhsm.conf | grep "entitlementCertDirectory"
[root@dhcp35-236 ~]# man rhsm.conf | grep "consumerCertDirectory"


[root@dhcp35-236 ~]# man rhsm.conf | grep "susbcription service." 
           The port which the "susbcription" service is listening on. 
                              ^^ should be "subscription" 

[root@dhcp35-236 ~]# man rhsm.conf | grep "report up the current package profile." 
[root@dhcp35-236 ~]# man rhsm.conf | grep "This reporting helps the subscription service to provide better errata notifications."

Comment 12 William Poteat 2014-12-03 18:44:26 UTC
master commit 8907febf05e0fa25a22ed1017435a108bf0e2bbe

Comment 14 Rehana 2014-12-12 09:50:24 UTC
Retested on ,

# subscription-manager version 
server type: This system is currently not registered.
subscription management server: 0.9.26.4-1
subscription management rules: 5.11
subscription-manager: 1.13.12-1.el7
python-rhsm: 1.13.8-1.el7

# man rhsm.conf | grep 'and and virt-who'
# man rhsm.conf | grep "Server perfix where"
# man rhsm.conf | grep "certificates whcih should"
# man rhsm.conf | grep "are used communicate with the server and to pulldown content."
# man rhsm.conf | grep "productCertDirectory"
# man rhsm.conf | grep "entitlementCertDirectory"
# man rhsm.conf | grep "consumerCertDirectory"
# man rhsm.conf | grep "susbcription service." 
# man rhsm.conf | grep "report up the current package profile." 
# man rhsm.conf | grep "This reporting helps the subscription service to provide better errata notifications."
# man rhsm.conf | grep "This reporting helps the subscription service to provide better errata notifications."

All the typos mentioned in comment 8 are now Fixed.

Marking Verified!!

Comment 16 errata-xmlrpc 2015-03-05 13:14:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0502.html


Note You need to log in before you can comment on or make changes to this bug.